%define	snapshot	20020228

Summary: An ICQ client for online messaging with a default Qt interface.
Name: licq
Version: 1.1.0
Release: fr1_%{snapshot}
Epoch: 2
License: GPL
Group: Applications/Communications
#Source0: http://www.licq.org/licq-%{version}.tar.bz2
Source0: http://www.rhrk.uni-kl.de/~dmuell/licq/licq-%{snapshot}.tar.bz2
Source1: icons.simpsons.tar.gz
Source2: icons.sp.tar.gz
Source3: skin.icq2000.tar.gz
Source4: skin.osx.tar.gz
Source5: icon.osx.tar.gz
URL: http://www.licq.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires : qt, openssl
BuildRequires: qt-devel, openssl-devel
# Both the licq.org RPMs and Red Hat official RPMs
Obsoletes: licq-base, licq-plugins, licq-ui-qt, licq-ui-console
Obsoletes: licq-gnome, licq-kde, licq-qt, licq-text

%description
Licq is an ICQ online messaging system clone, written in C++ using the
Qt widget set.  Licq supports all of the major features of ICQ, including
messaging, URLs, chat, file transfer, and white pages information.
Additionally, Licq is very configurable and supports skins and different
icon packs.
This package includes a full featured Qt gui, an auto-responder plugin, an
ICQ/email forwarding plugin, a console interface, and a remote management
system plugin.

%prep
%setup -q -n licq-%{snapshot}

%build
# Cleanup the CVS sources
find . -type d -name "CVS" | xargs rm -rf

# Build the core program
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure	--prefix=%{_prefix} \
		--bindir=%{_bindir} \
		--includedir=%{_includedir} \
		--libdir=%{_libdir} \
		--datadir=%{_datadir}
make
# Build the plugins
for plugin in plugins/*; do
	pushd $plugin
		./configure	--prefix=%{_prefix} \
				--bindir=%{_bindir} \
				--includedir=%{_includedir} \
				--libdir=%{_libdir} \
				--datadir=%{_datadir}
		make CFLAGS="$RPM_OPT_FLAGS"
	popd
done

%install
rm -rf %{buildroot}
# Install the core program
make install DESTDIR=%{buildroot}
# Install the plugins and their docs
mkdir doc/plugins || :
for plugin in plugins/*; do
	pushd $plugin
		cp -a doc ../../doc/$plugin || mkdir ../../doc/$plugin || :
		cp -a README* ../../doc/$plugin || :
		make install DESTDIR=%{buildroot}
		#%%makeinstall sharedir=%{buildroot}%{_datadir}/licq/
	popd
done
# Add a few cool themes for the ugly QT interface
pushd %{buildroot}%{_datadir}/licq/qt-gui
	for archive in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} \
		%{SOURCE5}; do
		tar xzf $archive
	done
popd

%clean
#rm -rf %{buildroot}

%files 
%defattr (-, root, root)
%doc doc/[A-Z]* doc/plugins
%{_bindir}/*
%{_includedir}/licq
%dir %{_libdir}/licq
%{_libdir}/licq/licq_*
%dir %{_datadir}/licq
%{_datadir}/licq/qt-gui
%{_datadir}/licq/sounds
%{_datadir}/licq/translations
%{_datadir}/licq/utilities

%changelog
* Tue Dec 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's build and changed the version to 1.1.0

* Tue Dec  4 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Now I hope it will, there even is an announcement on the licq page from
  yesterday... the first since April!

* Tue Nov  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt the latest CVS version hoping it will fix some current issues
  many people are having.
- Removed the no longer existing autoreply and forwarder plugins.

* Tue Oct  9 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 and added Obsoletes: for official Red Hat RPMs.

* Thu Aug  9 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup (next to a complete rewrite), more macros etc.
- Grouped everything in one and only binary : No auto deps on Qt so anyone
  is free to use the console plugin instead or install my gtk+licq RPM.
- Added a few icons and themes :-)

* Tue Mar 6 2001 Graham Roff <graham@licq.org>
- Upgrade to 1.0.3

* Tue Dec 19 2000 Graham Roff <graham@licq.org>
- Upgrade to 1.0.2

* Tue Oct 10 2000 Graham Roff <graham@licq.org>
- Upgrade to 1.0 for most packages

* Fri Jun 2 2000 Graham Roff <graham@licq.org>
- Upgrade to 0.85
- Added RMS plugin and better description
- Created subpackages for base, plugins, ui-console and ui-qt

* Wed Mar 22 2000 Graham Roff <graham@licq.org>
- Upgrade to 0.80

* Wed Feb 16 2000 Graham Roff <graham@licq.org>
- Upgrade to 0.76
- Included three new plugins

* Tue Jan 25 2000 Graham Roff <graham@licq.org>
- Upgraded to 0.75.3

* Wed Jan 12 2000 Graham Roff <graham@licq.org>
- Upgraded to 0.75

* Fri Nov 12 1999 Graham Roff <graham@licq.org>
- Upgraded to 0.71

* Thu Oct 28 1999 Graham Roff <graham@licq.org>
- fixed requirement to qt 2.0.2

* Mon Oct 25 1999 Graham Roff <graham@licq.org>
- modified for new distribution format
- upgraded to 0.70.1

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- moved changelog to bottom
- using contrib|net spec now
- changed buildroot to /var/tmp
- rebuilt and put into powertools

* Wed Jun 18 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.70f-1]
- Upgraded to licq-0.70f with licq_qt-gui-0.64.1
- Updated URLs
- Added localization files

* Fri Mar 12 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Fixed Auto Away - Auto N/A problem.

* Tue Mar  9 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Incorporated numerous small changes inspired
by Graham Roff's (Licq author) version of the spec file

* Mon Feb 22 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.60-1]
- Added viewurl-*.sh to /usr/bin/

* Mon Dec 14 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-2]
- Updated the URL

* Fri Dec 11 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-1]
- Added SPEC file %defattr directive to enable non-root builds
- Changed SPEC file according to RHCN rules.

* Fri Oct 30 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 0.44
